
module Kernel

  # Defines core method __class__ as an alias of class.
  # This allows you to use #class as your own method, without
  # loosing the ability to determine the object's class.
  #
  alias_method( :__class__, :class )

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCKernel < Test::Unit::TestCase

    def test__class__
      assert_equal( self.class, self.__class__ )
    end

  end

=end
